// file      : xsd/cxx/tree/validator.hxx
// author    : Boris Kolpackov <boris@codesynthesis.com>
// copyright : Copyright (c) 2005-2006 Code Synthesis Tools CC
// license   : GNU GPL v2 + exceptions; see accompanying LICENSE file

#ifndef CXX_TREE_VALIDATOR_HXX
#define CXX_TREE_VALIDATOR_HXX

#include <cxx/tree/elements.hxx>
#include <cxx/tree/cli.hxx>

namespace CXX
{
  namespace Tree
  {
    class Validator
    {
    public:
      Validator (); // Dummy ctor, help with long symbols on HP-UX.

      Boolean
      validate (CLI::Options const& options,
                SemanticGraph::Schema&,
                SemanticGraph::Path const& tu,
                Counts const& counts);
    };
  }
}

#endif  // CXX_TREE_VALIDATOR_HXX
